Subject: Re: [PATCH] gettext: remove optional non-standard parens in N_() definition

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Sep 2021 12:19:16 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Remove the USE_PARENS_AROUND_GETTEXT_N compile-time option which was
> meant to catch an inadvertent mistakes which is too obscure to
> maintain this facility.
> ...
> I don't care how this lands exactly, but thin (eye of the beholder and
> all that) that the commit message above is better. Carlo: Feel free to
> steal it partially or entirely, I also made this a "PATCH" instead of
> "RFC PATCH" in case Junio feels like queuing this, then you could
> build your DEVOPTS=pedantic by default here on top.

FWIW, I think this goes in the right direction, and I'd rather not
to have to handle too many multi-patch topics in which one step
takes hostage the other steps.

Thanks, all.